Name: libqrtr-glib
Version: 1.2.2
Release: 1%{?dist}
Summary: Support library to use and manage the QRTR (Qualcomm IPC Router) bus.
License: LGPLv2+
URL: http://freedesktop.org/software/libqrtr-glib
Source: https://gitlab.freedesktop.org/mobile-broadband/libqrtr-glib/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: glib2-devel >= 2.48.0
BuildRequires: gobject-introspection-devel
BuildRequires: gtk-doc
BuildRequires: pkgconfig(gudev-1.0) >= 147
BuildRequires: make
BuildRequires: python3
BuildRequires: meson

%description
This package contains the libraries that make it easier to use and
manage the QRTR (Qualcomm IPC Router) bus.


%package devel
Summary: Header files for adding QRTR support to applications that use glib
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package contains the header and pkg-config files for development
applications using QRTR functionality from applications that use glib.


%prep
%autosetup -p1


%build
%meson 
%meson_build 


%install
%meson_install
find %{buildroot} -type f -name "*.la" -delete
find %{buildroot} -type f -name "*.a" -delete



%ldconfig_scriptlets


%files
%doc NEWS AUTHORS README.md
%{_libdir}/libqrtr-glib.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Qrtr-1.0.typelib


%files devel
%dir %{_includedir}/libqrtr-glib/
%{_includedir}/libqrtr-glib/*
%{_libdir}/libqrtr-glib.so
%{_libdir}/pkgconfig/qrtr-glib.pc
%dir %{_datadir}/gtk-doc/html/libqrtr-glib/
%{_datadir}/gtk-doc/html/libqrtr-glib/*
%{_datadir}/gir-1.0/Qrtr-1.0.gir


%changelog
* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.2.2-1
- Init from upstream version 1.2.2
